Index: /trunk/psModules/Makefile.in
===================================================================
--- /trunk/psModules/Makefile.in	(revision 1785)
+++ /trunk/psModules/Makefile.in	(revision 1786)
@@ -100,4 +100,5 @@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GSL_CONFIG = @GSL_CONFIG@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
Index: /trunk/psModules/configure
===================================================================
--- /trunk/psModules/configure	(revision 1785)
+++ /trunk/psModules/configure	(revision 1786)
@@ -464,5 +464,5 @@
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL GSL_CONFIG LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
@@ -1037,8 +1037,4 @@
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
-  --with-psLib            Specify location of psLib files
-  --with-sla              Specify location of SLA.
-  --with-psLib-includes   Specify location of psLib header files
-  --with-psLib-lib        Specify location of psLib library file
   --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
   --with-pic              try to use only PIC/non-PIC objects [default=use
@@ -1046,4 +1042,9 @@
   --with-tags[=TAGS]
                           include additional configurations [automatic]
+  --with-psLib=DIR        Specify location of psLib files
+  --with-sla=DIR          Specify location of SLA.
+  --with-cfitsio=DIR      Specify location of CFITSIO.
+  --with-fftw3=DIR        Specify location of FFTW version 3.
+  --with-gsl=DIR          Specify location of GSL.
 
 Some influential environment variables:
@@ -3034,45 +3035,7 @@
 
 
+
+
 CFLAGS="${CFLAGS=} -g2 -Wall -std=c99 -D_GNU_SOURCE"
-
-
-# Check whether --with-psLib or --without-psLib was given.
-if test "${with_psLib+set}" = set; then
-  withval="$with_psLib"
-
-CFLAGS="$CFLAGS -I$withval/include"
-LDFLAGS="$LDFLAGS -L$withval/lib"
-psLib_prefix=$withval
-
-fi;
-
-
-# Check whether --with-sla or --without-sla was given.
-if test "${with_sla+set}" = set; then
-  withval="$with_sla"
-
-CFLAGS="$CFLAGS -I$withval/include"
-SLA_LINK = `$withval/bin/sla_link`
-LDFLAGS="$LDFLAGS $SLA_LINK"
-psLib_prefix=$withval
-
-fi;
-
-
-# Check whether --with-psLib-includes or --without-psLib-includes was given.
-if test "${with_psLib_includes+set}" = set; then
-  withval="$with_psLib_includes"
-  \
-    CFLAGS="$CFLAGS -I$withval"
-fi;
-
-
-# Check whether --with-psLib-lib or --without-psLib-lib was given.
-if test "${with_psLib_lib+set}" = set; then
-  withval="$with_psLib_lib"
-  \
-    LDFLAGS="$LDFLAGS -L$withval"
-fi;
-
 
 # Find a good install program.  We prefer a C program (faster),
@@ -3154,5 +3117,4 @@
 
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
-
 
 # Check whether --enable-shared or --disable-shared was given.
@@ -3764,5 +3726,5 @@
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3766 "configure"' > conftest.$ac_ext
+  echo '#line 3728 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
@@ -5331,5 +5293,5 @@
 
 # Provide some information about the compiler.
-echo "$as_me:5333:" \
+echo "$as_me:5295:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
@@ -6365,9 +6327,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6367: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6329: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6371: \$? = $ac_status" >&5
+   echo "$as_me:6333: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
@@ -6598,9 +6560,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6600: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6562: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6604: \$? = $ac_status" >&5
+   echo "$as_me:6566: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
@@ -6658,9 +6620,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6660: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6622: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6664: \$? = $ac_status" >&5
+   echo "$as_me:6626: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
@@ -7992,5 +7954,5 @@
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 7994 "configure"' > conftest.$ac_ext
+    echo '#line 7956 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
@@ -8863,5 +8825,5 @@
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8865 "configure"
+#line 8827 "configure"
 #include "confdefs.h"
 
@@ -8961,5 +8923,5 @@
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8963 "configure"
+#line 8925 "configure"
 #include "confdefs.h"
 
@@ -11140,9 +11102,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11142: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11104: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11146: \$? = $ac_status" >&5
+   echo "$as_me:11108: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
@@ -11200,9 +11162,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11202: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11164: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11206: \$? = $ac_status" >&5
+   echo "$as_me:11168: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
@@ -11711,5 +11673,5 @@
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 11713 "configure"' > conftest.$ac_ext
+    echo '#line 11675 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
@@ -12582,5 +12544,5 @@
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12584 "configure"
+#line 12546 "configure"
 #include "confdefs.h"
 
@@ -12680,5 +12642,5 @@
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12682 "configure"
+#line 12644 "configure"
 #include "confdefs.h"
 
@@ -13507,9 +13469,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13509: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13471: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13513: \$? = $ac_status" >&5
+   echo "$as_me:13475: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
@@ -13567,9 +13529,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13569: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13531: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13573: \$? = $ac_status" >&5
+   echo "$as_me:13535: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
@@ -14881,5 +14843,5 @@
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 14883 "configure"' > conftest.$ac_ext
+    echo '#line 14845 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
@@ -15622,9 +15584,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15624: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15586: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15628: \$? = $ac_status" >&5
+   echo "$as_me:15590: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
@@ -15855,9 +15817,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15857: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15819: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15861: \$? = $ac_status" >&5
+   echo "$as_me:15823: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
@@ -15915,9 +15877,9 @@
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15917: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15879: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15921: \$? = $ac_status" >&5
+   echo "$as_me:15883: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
@@ -17249,5 +17211,5 @@
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17251 "configure"' > conftest.$ac_ext
+    echo '#line 17213 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
@@ -18120,5 +18082,5 @@
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18122 "configure"
+#line 18084 "configure"
 #include "confdefs.h"
 
@@ -18218,5 +18180,5 @@
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18220 "configure"
+#line 18182 "configure"
 #include "confdefs.h"
 
@@ -19231,4 +19193,570 @@
 
 
+
+
+
+# Check whether --with-psLib or --without-psLib was given.
+if test "${with_psLib+set}" = set; then
+  withval="$with_psLib"
+
+CFLAGS="${CFLAGS=} -I$withval/include"
+LDFLAGS="${LDFLAGS=} -L$withval/lib"
+
+else
+
+CFLAGS="${CFLAGS=} -I$PSLIB_ROOT/include"
+LDFLAGS="${LDFLAGS=} -L$PSLIB_ROOT/lib"
+
+fi;
+
+
+# Check whether --with-sla or --without-sla was given.
+if test "${with_sla+set}" = set; then
+  withval="$with_sla"
+
+CFLAGS="${CFLAGS=} -I$withval/include"
+LDFLAGS="${LDFLAGS=} -L$withval/lib"
+
+fi;
+
+
+# Check whether --with-cfitsio or --without-cfitsio was given.
+if test "${with_cfitsio+set}" = set; then
+  withval="$with_cfitsio"
+
+CFLAGS="${CFLAGS=} -I$withval/include"
+LDFLAGS="${LDFLAGS=} -L$withval/lib"
+
+fi;
+
+
+# Check whether --with-fftw3 or --without-fftw3 was given.
+if test "${with_fftw3+set}" = set; then
+  withval="$with_fftw3"
+
+CFLAGS="${CFLAGS=} -I$withval/include"
+LDFLAGS="${LDFLAGS=} -L$withval/lib"
+
+fi;
+
+
+# Check whether --with-gsl or --without-gsl was given.
+if test "${with_gsl+set}" = set; then
+  withval="$with_gsl"
+
+# Extract the first word of "$withval/bin/gsl-config", so it can be a program name with args.
+set dummy $withval/bin/gsl-config; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_prog_GSL_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$GSL_CONFIG"; then
+  ac_cv_prog_GSL_CONFIG="$GSL_CONFIG" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_prog_GSL_CONFIG="$withval/bin/gsl-config"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+fi
+fi
+GSL_CONFIG=$ac_cv_prog_GSL_CONFIG
+if test -n "$GSL_CONFIG"; then
+  echo "$as_me:$LINENO: result: $GSL_CONFIG" >&5
+echo "${ECHO_T}$GSL_CONFIG" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+
+else
+
+# Extract the first word of "gsl-config", so it can be a program name with args.
+set dummy gsl-config; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_prog_GSL_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$GSL_CONFIG"; then
+  ac_cv_prog_GSL_CONFIG="$GSL_CONFIG" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_prog_GSL_CONFIG="`which gsl-config`"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+fi
+fi
+GSL_CONFIG=$ac_cv_prog_GSL_CONFIG
+if test -n "$GSL_CONFIG"; then
+  echo "$as_me:$LINENO: result: $GSL_CONFIG" >&5
+echo "${ECHO_T}$GSL_CONFIG" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+
+fi;
+if test "$GSL_CONFIG" != ""
+then
+    GSL_PREFIX="`${GSL_CONFIG} --prefix`"
+    GSL_LIBS="`${GSL_CONFIG} --libs`"
+    LDFLAGS="${LDFLAGS=} -L$GSL_PREFIX/lib$GSL_LIBS"
+    CFLAGS="${CFLAGS=} -I$GSL_PREFIX/include"
+fi
+
+
+echo "$as_me:$LINENO: checking for main in -lsla" >&5
+echo $ECHO_N "checking for main in -lsla... $ECHO_C" >&6
+if test "${ac_cv_lib_sla_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lsla  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_sla_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_sla_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_sla_main" >&5
+echo "${ECHO_T}$ac_cv_lib_sla_main" >&6
+if test $ac_cv_lib_sla_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBSLA 1
+_ACEOF
+
+  LIBS="-lsla $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: SLA library required" >&5
+echo "$as_me: error: SLA library required" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+echo "$as_me:$LINENO: checking for main in -lcfitsio" >&5
+echo $ECHO_N "checking for main in -lcfitsio... $ECHO_C" >&6
+if test "${ac_cv_lib_cfitsio_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lcfitsio  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_cfitsio_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_cfitsio_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_cfitsio_main" >&5
+echo "${ECHO_T}$ac_cv_lib_cfitsio_main" >&6
+if test $ac_cv_lib_cfitsio_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBCFITSIO 1
+_ACEOF
+
+  LIBS="-lcfitsio $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: CFITSIO library required" >&5
+echo "$as_me: error: CFITSIO library required" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+echo "$as_me:$LINENO: checking for main in -lfftw3f" >&5
+echo $ECHO_N "checking for main in -lfftw3f... $ECHO_C" >&6
+if test "${ac_cv_lib_fftw3f_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lfftw3f  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_fftw3f_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_fftw3f_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3f_main" >&5
+echo "${ECHO_T}$ac_cv_lib_fftw3f_main" >&6
+if test $ac_cv_lib_fftw3f_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBFFTW3F 1
+_ACEOF
+
+  LIBS="-lfftw3f $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: FFTW3 library required" >&5
+echo "$as_me: error: FFTW3 library required" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+echo "$as_me:$LINENO: checking for main in -lgsl" >&5
+echo $ECHO_N "checking for main in -lgsl... $ECHO_C" >&6
+if test "${ac_cv_lib_gsl_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lgsl  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_gsl_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_gsl_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_gsl_main" >&5
+echo "${ECHO_T}$ac_cv_lib_gsl_main" >&6
+if test $ac_cv_lib_gsl_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBGSL 1
+_ACEOF
+
+  LIBS="-lgsl $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: GSL library required" >&5
+echo "$as_me: error: GSL library required" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+echo "$as_me:$LINENO: checking for main in -lgslcblas" >&5
+echo $ECHO_N "checking for main in -lgslcblas... $ECHO_C" >&6
+if test "${ac_cv_lib_gslcblas_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lgslcblas  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_gslcblas_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_gslcblas_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_gslcblas_main" >&5
+echo "${ECHO_T}$ac_cv_lib_gslcblas_main" >&6
+if test $ac_cv_lib_gslcblas_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBGSLCBLAS 1
+_ACEOF
+
+  LIBS="-lgslcblas $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: GSL CBLAS library required" >&5
+echo "$as_me: error: GSL CBLAS library required" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+echo "$as_me:$LINENO: checking for main in -lpslib" >&5
+echo $ECHO_N "checking for main in -lpslib... $ECHO_C" >&6
+if test "${ac_cv_lib_pslib_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lpslib  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_pslib_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_pslib_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_pslib_main" >&5
+echo "${ECHO_T}$ac_cv_lib_pslib_main" >&6
+if test $ac_cv_lib_pslib_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBPSLIB 1
+_ACEOF
+
+  LIBS="-lpslib $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: psLib library required" >&5
+echo "$as_me: error: psLib library required" >&2;}
+   { (exit 1); exit 1; }; }
+fi
 
 
@@ -19942,4 +20470,5 @@
 s,@ac_ct_F77@,$ac_ct_F77,;t t
 s,@LIBTOOL@,$LIBTOOL,;t t
+s,@GSL_CONFIG@,$GSL_CONFIG,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
Index: /trunk/psModules/configure.in
===================================================================
--- /trunk/psModules/configure.in	(revision 1785)
+++ /trunk/psModules/configure.in	(revision 1786)
@@ -4,34 +4,63 @@
 AM_INIT_AUTOMAKE(psModule, 0.1)
 
-AC_LANG_C
+AC_LANG(C)
 AC_PROG_CC
+
+dnl AC_SUBST(LDFLAGS)
+AC_SUBST(CFLAGS)
 
 CFLAGS="${CFLAGS=} -g2 -Wall -std=c99 -D_GNU_SOURCE"
 
+AC_PROG_INSTALL
+AM_PROG_LIBTOOL
+
 AC_ARG_WITH(psLib,
-[  --with-psLib            Specify location of psLib files],[
-CFLAGS="$CFLAGS -I$withval/include" 
-LDFLAGS="$LDFLAGS -L$withval/lib"
-psLib_prefix=$withval 
+[  --with-psLib=DIR        Specify location of psLib files],[
+CFLAGS="${CFLAGS=} -I$withval/include"
+LDFLAGS="${LDFLAGS=} -L$withval/lib"
+],[
+CFLAGS="${CFLAGS=} -I$PSLIB_ROOT/include"
+LDFLAGS="${LDFLAGS=} -L$PSLIB_ROOT/lib"
 ])
 
 AC_ARG_WITH(sla,
-[  --with-sla              Specify location of SLA.],[
-CFLAGS="$CFLAGS -I$withval/include" 
-SLA_LINK = `$withval/bin/sla_link`
-LDFLAGS="$LDFLAGS $SLA_LINK"
-psLib_prefix=$withval 
+[  --with-sla=DIR          Specify location of SLA.],[
+CFLAGS="${CFLAGS=} -I$withval/include"
+LDFLAGS="${LDFLAGS=} -L$withval/lib"
 ])
 
-AC_ARG_WITH(psLib-includes, [  --with-psLib-includes   Specify location of psLib header files], \
-    CFLAGS="$CFLAGS -I$withval")
+AC_ARG_WITH(cfitsio,
+[  --with-cfitsio=DIR      Specify location of CFITSIO.],[
+CFLAGS="${CFLAGS=} -I$withval/include"
+LDFLAGS="${LDFLAGS=} -L$withval/lib"
+])
 
-AC_ARG_WITH(psLib-lib, [  --with-psLib-lib        Specify location of psLib library file], \
-    LDFLAGS="$LDFLAGS -L$withval")
+AC_ARG_WITH(fftw3,
+[  --with-fftw3=DIR        Specify location of FFTW version 3.],[
+CFLAGS="${CFLAGS=} -I$withval/include"
+LDFLAGS="${LDFLAGS=} -L$withval/lib"
+])
 
+AC_ARG_WITH(gsl,
+[  --with-gsl=DIR          Specify location of GSL.],[
+AC_CHECK_PROG(GSL_CONFIG, $withval/bin/gsl-config, $withval/bin/gsl-config)
+],[
+AC_CHECK_PROG(GSL_CONFIG, gsl-config, `which gsl-config`)
+])
+if test "$GSL_CONFIG" != ""
+then
+    GSL_PREFIX="`${GSL_CONFIG} --prefix`"
+    GSL_LIBS="`${GSL_CONFIG} --libs`"
+    LDFLAGS="${LDFLAGS=} -L$GSL_PREFIX/lib$GSL_LIBS"
+    CFLAGS="${CFLAGS=} -I$GSL_PREFIX/include"
+fi
 
-AC_PROG_INSTALL
-
-AM_PROG_LIBTOOL
+dnl Check the libraries to see if they exist, etc.
+AC_CHECK_LIB(sla,main,,AC_MSG_ERROR(SLA library required))
+AC_CHECK_LIB(cfitsio,main,,AC_MSG_ERROR(CFITSIO library required))
+AC_CHECK_LIB(fftw3f,main,,AC_MSG_ERROR(FFTW3 library required))
+AC_CHECK_LIB(gsl,main,,AC_MSG_ERROR(GSL library required))
+AC_CHECK_LIB(gslcblas,main,,AC_MSG_ERROR(GSL CBLAS library required))
+AC_CHECK_LIB(pslib,main,,AC_MSG_ERROR(psLib library required))
 
 AC_OUTPUT(Makefile src/Makefile)
Index: /trunk/psModules/psmodule.kdevelop
===================================================================
--- /trunk/psModules/psmodule.kdevelop	(revision 1785)
+++ /trunk/psModules/psmodule.kdevelop	(revision 1786)
@@ -11,4 +11,9 @@
       <keyword>Code</keyword>
     </keywords>
+    <projectdirectory>.</projectdirectory>
+    <absoluteprojectpath>false</absoluteprojectpath>
+    <description></description>
+    <ignoreparts/>
+    <secondaryLanguages/>
   </general>
   <kdevautoproject>
@@ -18,7 +23,11 @@
     </general>
     <run>
-      <mainprogram>src/psmodule</mainprogram>
+      <mainprogram>src/tst_pmFlatField</mainprogram>
       <terminal>true</terminal>
       <directoryradio>executable</directoryradio>
+      <customdirectory>/</customdirectory>
+      <programargs></programargs>
+      <autocompile>true</autocompile>
+      <envvars/>
     </run>
     <configurations>
@@ -44,4 +53,8 @@
         <envvar value="1" name="WANT_AUTOMAKE_1_6" />
       </envvars>
+      <abortonerror>false</abortonerror>
+      <numberofjobs>1</numberofjobs>
+      <dontact>false</dontact>
+      <makebin></makebin>
     </make>
   </kdevautoproject>
@@ -93,6 +106,13 @@
       <toc>KDE Libraries (Doxygen)</toc>
     </ignoredoxygen>
+    <projectdoc>
+      <userdocDir>html/</userdocDir>
+      <apidocDir>html/</apidocDir>
+    </projectdoc>
+    <ignorekdocs/>
+    <ignoredevhelp/>
   </kdevdoctreeview>
   <kdevfilecreate>
+    <filetypes/>
     <useglobaltypes>
       <type ext="c" />
@@ -127,3 +147,26 @@
     </codecompletion>
   </kdevcppsupport>
+  <cppsupportpart>
+    <filetemplates>
+      <interfacesuffix>.h</interfacesuffix>
+      <implementationsuffix>.cpp</implementationsuffix>
+    </filetemplates>
+  </cppsupportpart>
+  <kdevdebugger>
+    <general>
+      <programargs></programargs>
+      <gdbpath></gdbpath>
+      <dbgshell></dbgshell>
+      <configGdbScript></configGdbScript>
+      <runShellScript></runShellScript>
+      <runGdbScript></runGdbScript>
+      <breakonloadinglibs>true</breakonloadinglibs>
+      <separatetty>false</separatetty>
+      <floatingtoolbar>false</floatingtoolbar>
+    </general>
+    <display>
+      <staticmembers>false</staticmembers>
+      <demanglenames>true</demanglenames>
+    </display>
+  </kdevdebugger>
 </kdevelop>
Index: /trunk/psModules/src/Makefile.am
===================================================================
--- /trunk/psModules/src/Makefile.am	(revision 1785)
+++ /trunk/psModules/src/Makefile.am	(revision 1786)
@@ -1,10 +1,10 @@
-lib_LTLIBRARIES = libpsmodule.la
+lib_LIBRARIES = libpsmodule.a
 bin_PROGRAMS = tst_pmFlatField
 
-libpsmodule_la_SOURCES = pmFlatField.c
-libpsmodule_la_HEADERS =  pmFlatField.h
-libpsmodule_ladir = .
+libpsmodule_a_SOURCES = pmFlatField.c
+libpsmodule_a_HEADERS =  pmFlatField.h
+libpsmodule_adir = .
 
 
 tst_pmFlatField_SOURCES = tst_pmFlatField.c
-tst_pmFlatField_LDFLAGS = -lpsmodule -lpslib -lcfitsio -lgsl -lgslcblas -lfftw3f -lsla
+tst_pmFlatField_LDFLAGS = libpsmodule.a
Index: /trunk/psModules/src/Makefile.in
===================================================================
--- /trunk/psModules/src/Makefile.in	(revision 1785)
+++ /trunk/psModules/src/Makefile.in	(revision 1786)
@@ -17,5 +17,5 @@
 
 
-SOURCES = $(libpsmodule_la_SOURCES) $(tst_pmFlatField_SOURCES)
+SOURCES = $(libpsmodule_a_SOURCES) $(tst_pmFlatField_SOURCES)
 
 srcdir = @srcdir@
@@ -42,5 +42,5 @@
 bin_PROGRAMS = tst_pmFlatField$(EXEEXT)
 subdir = src
-DIST_COMMON = $(libpsmodule_la_HEADERS) $(srcdir)/Makefile.am \
+DIST_COMMON = $(libpsmodule_a_HEADERS) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(srcdir)/config.h.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -51,10 +51,12 @@
 CONFIG_HEADER = config.h
 CONFIG_CLEAN_FILES =
-am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libpsmodule_ladir)"
-libLTLIBRARIES_INSTALL = $(INSTALL)
-LTLIBRARIES = $(lib_LTLIBRARIES)
-libpsmodule_la_LIBADD =
-am_libpsmodule_la_OBJECTS = pmFlatField.lo
-libpsmodule_la_OBJECTS = $(am_libpsmodule_la_OBJECTS)
+ARFLAGS = cru
+am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libpsmodule_adir)"
+libLIBRARIES_INSTALL = $(INSTALL_DATA)
+LIBRARIES = $(lib_LIBRARIES)
+libpsmodule_a_AR = $(AR) $(ARFLAGS)
+libpsmodule_a_LIBADD =
+am_libpsmodule_a_OBJECTS = pmFlatField.$(OBJEXT)
+libpsmodule_a_OBJECTS = $(am_libpsmodule_a_OBJECTS)
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
@@ -65,5 +67,5 @@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/pmFlatField.Plo \
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/pmFlatField.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/tst_pmFlatField.Po
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
@@ -75,8 +77,8 @@
 LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libpsmodule_la_SOURCES) $(tst_pmFlatField_SOURCES)
-DIST_SOURCES = $(libpsmodule_la_SOURCES) $(tst_pmFlatField_SOURCES)
-libpsmodule_laHEADERS_INSTALL = $(INSTALL_HEADER)
-HEADERS = $(libpsmodule_la_HEADERS)
+SOURCES = $(libpsmodule_a_SOURCES) $(tst_pmFlatField_SOURCES)
+DIST_SOURCES = $(libpsmodule_a_SOURCES) $(tst_pmFlatField_SOURCES)
+libpsmodule_aHEADERS_INSTALL = $(INSTALL_HEADER)
+HEADERS = $(libpsmodule_a_HEADERS)
 ETAGS = etags
 CTAGS = ctags
@@ -111,4 +113,5 @@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GSL_CONFIG = @GSL_CONFIG@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
@@ -176,10 +179,10 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-lib_LTLIBRARIES = libpsmodule.la
-libpsmodule_la_SOURCES = pmFlatField.c
-libpsmodule_la_HEADERS = pmFlatField.h
-libpsmodule_ladir = .
+lib_LIBRARIES = libpsmodule.a
+libpsmodule_a_SOURCES = pmFlatField.c
+libpsmodule_a_HEADERS = pmFlatField.h
+libpsmodule_adir = .
 tst_pmFlatField_SOURCES = tst_pmFlatField.c
-tst_pmFlatField_LDFLAGS = -lpsmodule -lpslib -lcfitsio -lgsl -lgslcblas -lfftw3f -lsla
+tst_pmFlatField_LDFLAGS = libpsmodule.a
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
@@ -233,33 +236,37 @@
 distclean-hdr:
 	-rm -f config.h stamp-h1
-install-libLTLIBRARIES: $(lib_LTLIBRARIES)
+install-libLIBRARIES: $(lib_LIBRARIES)
 	@$(NORMAL_INSTALL)
 	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
-	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
+	@list='$(lib_LIBRARIES)'; for p in $$list; do \
 	  if test -f $$p; then \
 	    f="`echo $$p | sed -e 's|^.*/||'`"; \
-	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
-	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
+	    echo " $(libLIBRARIES_INSTALL) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
+	    $(libLIBRARIES_INSTALL) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
 	  else :; fi; \
 	done
-
-uninstall-libLTLIBRARIES:
+	@$(POST_INSTALL)
+	@list='$(lib_LIBRARIES)'; for p in $$list; do \
+	  if test -f $$p; then \
+	    p="`echo $$p | sed -e 's|^.*/||'`"; \
+	    echo " $(RANLIB) '$(DESTDIR)$(libdir)/$$p'"; \
+	    $(RANLIB) "$(DESTDIR)$(libdir)/$$p"; \
+	  else :; fi; \
+	done
+
+uninstall-libLIBRARIES:
 	@$(NORMAL_UNINSTALL)
-	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
-	    p="`echo $$p | sed -e 's|^.*/||'`"; \
-	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
-	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
-	done
-
-clean-libLTLIBRARIES:
-	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
-	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
-	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-	  test "$$dir" = "$$p" && dir=.; \
-	  echo "rm -f \"$${dir}/so_locations\""; \
-	  rm -f "$${dir}/so_locations"; \
-	done
-libpsmodule.la: $(libpsmodule_la_OBJECTS) $(libpsmodule_la_DEPENDENCIES) 
-	$(LINK) -rpath $(libdir) $(libpsmodule_la_LDFLAGS) $(libpsmodule_la_OBJECTS) $(libpsmodule_la_LIBADD) $(LIBS)
+	@list='$(lib_LIBRARIES)'; for p in $$list; do \
+	  p="`echo $$p | sed -e 's|^.*/||'`"; \
+	  echo " rm -f '$(DESTDIR)$(libdir)/$$p'"; \
+	  rm -f "$(DESTDIR)$(libdir)/$$p"; \
+	done
+
+clean-libLIBRARIES:
+	-test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
+libpsmodule.a: $(libpsmodule_a_OBJECTS) $(libpsmodule_a_DEPENDENCIES) 
+	-rm -f libpsmodule.a
+	$(libpsmodule_a_AR) libpsmodule.a $(libpsmodule_a_OBJECTS) $(libpsmodule_a_LIBADD)
+	$(RANLIB) libpsmodule.a
 install-binPROGRAMS: $(bin_PROGRAMS)
 	@$(NORMAL_INSTALL)
@@ -300,5 +307,5 @@
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pmFlatField.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pmFlatField.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tst_pmFlatField.Po@am__quote@
 
@@ -336,20 +343,20 @@
 	-rm -f libtool
 uninstall-info-am:
-install-libpsmodule_laHEADERS: $(libpsmodule_la_HEADERS)
+install-libpsmodule_aHEADERS: $(libpsmodule_a_HEADERS)
 	@$(NORMAL_INSTALL)
-	test -z "$(libpsmodule_ladir)" || $(mkdir_p) "$(DESTDIR)$(libpsmodule_ladir)"
-	@list='$(libpsmodule_la_HEADERS)'; for p in $$list; do \
+	test -z "$(libpsmodule_adir)" || $(mkdir_p) "$(DESTDIR)$(libpsmodule_adir)"
+	@list='$(libpsmodule_a_HEADERS)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  f="`echo $$p | sed -e 's|^.*/||'`"; \
-	  echo " $(libpsmodule_laHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libpsmodule_ladir)/$$f'"; \
-	  $(libpsmodule_laHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libpsmodule_ladir)/$$f"; \
-	done
-
-uninstall-libpsmodule_laHEADERS:
+	  echo " $(libpsmodule_aHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libpsmodule_adir)/$$f'"; \
+	  $(libpsmodule_aHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libpsmodule_adir)/$$f"; \
+	done
+
+uninstall-libpsmodule_aHEADERS:
 	@$(NORMAL_UNINSTALL)
-	@list='$(libpsmodule_la_HEADERS)'; for p in $$list; do \
+	@list='$(libpsmodule_a_HEADERS)'; for p in $$list; do \
 	  f="`echo $$p | sed -e 's|^.*/||'`"; \
-	  echo " rm -f '$(DESTDIR)$(libpsmodule_ladir)/$$f'"; \
-	  rm -f "$(DESTDIR)$(libpsmodule_ladir)/$$f"; \
+	  echo " rm -f '$(DESTDIR)$(libpsmodule_adir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(libpsmodule_adir)/$$f"; \
 	done
 
@@ -429,9 +436,7 @@
 check-am: all-am
 check: check-am
-all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS) config.h
-install-binPROGRAMS: install-libLTLIBRARIES
-
+all-am: Makefile $(LIBRARIES) $(PROGRAMS) $(HEADERS) config.h
 installdirs:
-	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libpsmodule_ladir)"; do \
+	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libpsmodule_adir)"; do \
 	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
 	done
@@ -462,5 +467,5 @@
 clean: clean-am
 
-clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
+clean-am: clean-binPROGRAMS clean-generic clean-libLIBRARIES \
 	clean-libtool mostlyclean-am
 
@@ -481,7 +486,7 @@
 info-am:
 
-install-data-am: install-libpsmodule_laHEADERS
-
-install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
+install-data-am: install-libpsmodule_aHEADERS
+
+install-exec-am: install-binPROGRAMS install-libLIBRARIES
 
 install-info: install-info-am
@@ -510,20 +515,20 @@
 
 uninstall-am: uninstall-binPROGRAMS uninstall-info-am \
-	uninstall-libLTLIBRARIES uninstall-libpsmodule_laHEADERS
+	uninstall-libLIBRARIES uninstall-libpsmodule_aHEADERS
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
-	clean-generic clean-libLTLIBRARIES clean-libtool ctags \
-	distclean distclean-compile distclean-generic distclean-hdr \
+	clean-generic clean-libLIBRARIES clean-libtool ctags distclean \
+	distclean-compile distclean-generic distclean-hdr \
 	distclean-libtool distclean-tags distdir dvi dvi-am html \
 	html-am info info-am install install-am install-binPROGRAMS \
 	install-data install-data-am install-exec install-exec-am \
-	install-info install-info-am install-libLTLIBRARIES \
-	install-libpsmodule_laHEADERS install-man install-strip \
+	install-info install-info-am install-libLIBRARIES \
+	install-libpsmodule_aHEADERS install-man install-strip \
 	installcheck installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-compile \
 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 	tags uninstall uninstall-am uninstall-binPROGRAMS \
-	uninstall-info-am uninstall-libLTLIBRARIES \
-	uninstall-libpsmodule_laHEADERS
+	uninstall-info-am uninstall-libLIBRARIES \
+	uninstall-libpsmodule_aHEADERS
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: /trunk/psModules/src/config.h.in
===================================================================
--- /trunk/psModules/src/config.h.in	(revision 1785)
+++ /trunk/psModules/src/config.h.in	(revision 1786)
@@ -6,4 +6,22 @@
 /* Define to 1 if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
+
+/* Define to 1 if you have the `cfitsio' library (-lcfitsio). */
+#undef HAVE_LIBCFITSIO
+
+/* Define to 1 if you have the `fftw3f' library (-lfftw3f). */
+#undef HAVE_LIBFFTW3F
+
+/* Define to 1 if you have the `gsl' library (-lgsl). */
+#undef HAVE_LIBGSL
+
+/* Define to 1 if you have the `gslcblas' library (-lgslcblas). */
+#undef HAVE_LIBGSLCBLAS
+
+/* Define to 1 if you have the `pslib' library (-lpslib). */
+#undef HAVE_LIBPSLIB
+
+/* Define to 1 if you have the `sla' library (-lsla). */
+#undef HAVE_LIBSLA
 
 /* Define to 1 if you have the <memory.h> header file. */
Index: /trunk/psModules/src/pmFlatField.c
===================================================================
--- /trunk/psModules/src/pmFlatField.c	(revision 1785)
+++ /trunk/psModules/src/pmFlatField.c	(revision 1786)
@@ -5,6 +5,6 @@
  *  @author Robert DeSonia, MHPCC
  *
- *  @version $Revision: 1.1.1.1 $ $Name: not supported by cvs2svn $
- *  @date $Date: 2004-09-10 19:01:33 $
+ *  @version $Revision: 1.2 $ $Name: not supported by cvs2svn $
+ *  @date $Date: 2004-09-10 23:42:18 $
  *
  *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
@@ -19,5 +19,5 @@
 #include "pmFlatField.h"
 
-void pmFlatField(psVector* vector) 
+void pmFlatField(psVector* vector)
 {
     if (vector == NULL) {
@@ -25,10 +25,10 @@
         return;
     }
-    
+
     for (int lcv=0;lcv<vector->n;lcv++) {
         printf("%f\n",vector->data.F32[lcv]);
     }
-    
+
     return;
-    
+
 }
Index: /trunk/psModules/src/pmFlatField.h
===================================================================
--- /trunk/psModules/src/pmFlatField.h	(revision 1785)
+++ /trunk/psModules/src/pmFlatField.h	(revision 1786)
@@ -7,6 +7,6 @@
  *  @author Robert DeSonia, MHPCC
  *
- *  @version $Revision: 1.1.1.1 $ $Name: not supported by cvs2svn $
- *  @date $Date: 2004-09-10 19:01:33 $
+ *  @version $Revision: 1.2 $ $Name: not supported by cvs2svn $
+ *  @date $Date: 2004-09-10 23:42:18 $
  *
  *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
@@ -16,2 +16,3 @@
 
 void pmFlatField(psVector* test);
+
